Xerces-C++: PSVIAttribute Class Reference

# PSVIAttribute Class Reference

Inheritance diagram for PSVIAttribute:

List of all members.

## Public Member Functions
Constructors
| PSVIAttribute (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~PSVIAttribute ()
PSVIAttribute methods
XSAttributeDeclaration * | getAttributeDeclaration ()
| An item isomorphic to the attribute declaration used to validate this attribute.
XSTypeDefinition * | getTypeDefinition ()
| An item isomorphic to the type definition used to validate this element.
XSSimpleTypeDefinition * | getMemberTypeDefinition ()
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
void | reset (const XMLCh *const valContext, PSVIItem::VALIDITY_STATE state, PSVIItem::ASSESSMENT_TYPE assessmentType, XSSimpleTypeDefinition *validatingType, XSSimpleTypeDefinition *memberType, const XMLCh *const defaultValue, const bool isSpecified, XSAttributeDeclaration *attrDecl, DatatypeValidator *dv)
| methods needed by implementation
void | setValue (const XMLCh *const normalizedValue)
| set the schema normalized value (and implicitly the canonical value) of this object; intended to be used by the implementation.
void | updateValidity (VALIDITY_STATE newValue)
| set VALIDITY_STATE to specified value; intended to be called by implementation.

## Constructor & Destructor Documentation

PSVIAttribute::PSVIAttribute | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

The default constructor.

Parameters:

  | manager | The configurable memory manager

PSVIAttribute::~PSVIAttribute | ( |  | ) |

References MemoryManager::deallocate(), PSVIItem::fCanonicalValue, and PSVIItem::fMemoryManager.

## Member Function Documentation

XSAttributeDeclaration * PSVIAttribute::getAttributeDeclaration | ( |  | ) |

An item isomorphic to the attribute declaration used to validate this attribute.

Returns:
  an attribute declaration

XSTypeDefinition * PSVIAttribute::getTypeDefinition | ( |  | ) | `[virtual]`

An item isomorphic to the type definition used to validate this element.

Returns:
  a type declaration

Implements PSVIItem.

References PSVIItem::fType.

XSSimpleTypeDefinition * PSVIAttribute::getMemberTypeDefinition | ( |  | ) | `[virtual]`

If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

Returns:
  a simple type declaration

Implements PSVIItem.

References PSVIItem::fMemberType.

void PSVIAttribute::reset | ( | const XMLCh *const | valContext,
|  | PSVIItem::VALIDITY_STATE | state,
|  | PSVIItem::ASSESSMENT_TYPE | assessmentType,
|  | XSSimpleTypeDefinition * | validatingType,
|  | XSSimpleTypeDefinition * | memberType,
|  | const XMLCh *const | defaultValue,
|  | const bool | isSpecified,
|  | XSAttributeDeclaration * | attrDecl,
|  | DatatypeValidator * | dv |
| ) |  |  |

methods needed by implementation

reset this object. Intended to be called by the implementation.

void PSVIAttribute::setValue | ( | const XMLCh *const | normalizedValue | ) |

set the schema normalized value (and implicitly the canonical value) of this object; intended to be used by the implementation.

void PSVIAttribute::updateValidity | ( | VALIDITY_STATE | newValue | ) |

set VALIDITY_STATE to specified value; intended to be called by implementation.

References PSVIItem::fValidityState.

The documentation for this class was generated from the following file:

- PSVIAttribute.hpp